ZooKeeperServerMXBean (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server

## Interface ZooKeeperServerMXBean

- All Known Subinterfaces:
    FollowerMXBean, LeaderMXBean, ObserverMXBean
  All Known Implementing Classes:
    FollowerBean, LeaderBean, ObserverBean, ReadOnlyBean, ZooKeeperServerBean

      public interface ZooKeeperServerMXBean

  ZooKeeper server MBean.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAuthFailedCount()`
    `double` | `getAvgRequestLatency()`
    `String` | `getClientPort()`
    `int` | `getCommitProcMaxCommitBatchSize()`
    `int` | `getCommitProcMaxReadBatchSize()`
    `double` | `getConnectionDecreaseRatio()`
    `double` | `getConnectionDropDecrease()`
    `double` | `getConnectionDropIncrease()`
    `int` | `getConnectionFreezeTime()`
    `int` | `getConnectionMaxTokens()`
    `int` | `getConnectionTokenFillCount()`
    `int` | `getConnectionTokenFillTime()`
    `long` | `getDataDirSize()`
    `long` | `getFlushDelay()`
    `long` | `getFsyncThresholdExceedCount()`
    `int` | `getJuteMaxBufferSize()`
    `int` | `getLargeRequestMaxBytes()`
    `int` | `getLargeRequestThreshold()`
    `int` | `getLastClientResponseSize()`
    `long` | `getLogDirSize()`
    `int` | `getMaxBatchSize()`
    `int` | `getMaxClientCnxnsPerHost()` Current maxClientCnxns allowed from a particular host
    `int` | `getMaxClientResponseSize()`
    `int` | `getMaxCnxns()`
    `long` | `getMaxRequestLatency()`
    `int` | `getMaxSessionTimeout()` Current maxSessionTimeout of the server in milliseconds
    `long` | `getMaxWriteQueuePollTime()`
    `int` | `getMinClientResponseSize()`
    `long` | `getMinRequestLatency()`
    `int` | `getMinSessionTimeout()` Current minSessionTimeout of the server in milliseconds
    `long` | `getNonMTLSLocalConnCount()`
    `long` | `getNonMTLSRemoteConnCount()`
    `long` | `getNumAliveConnections()`
    `long` | `getOutstandingRequests()`
    `long` | `getPacketsReceived()`
    `long` | `getPacketsSent()`
    `boolean` | `getRequestStaleConnectionCheck()`
    `boolean` | `getRequestStaleLatencyCheck()`
    `boolean` | `getRequestThrottleDropStale()`
    `int` | `getRequestThrottleLimit()`
    `int` | `getRequestThrottleStallTime()`
    `boolean` | `getResponseCachingEnabled()`
    `String` | `getSecureClientAddress()`
    `String` | `getSecureClientPort()`
    `String` | `getStartTime()`
    `int` | `getThrottledOpWaitTime()`
    `int` | `getTickTime()` Current TickTime of server in milliseconds
    `long` | `getTxnLogElapsedSyncTime()` Returns the elapsed sync of time of transaction log in milliseconds.
    `String` | `getVersion()`
    `void` | `resetAuthFailedCount()` Reset AuthFailedCount statistics only.
    `void` | `resetFsyncThresholdExceedCount()` Reset Fsync Threshold Exceed Count statistics only.
    `void` | `resetLatency()` Reset min/avg/max latency statistics
    `void` | `resetMaxLatency()` Reset max latency statistics only.
    `void` | `resetNonMTLSConnCount()` Reset NonMTLS(Local+Remote)ConnCount statistics only.
    `void` | `resetStatistics()` Reset packet and latency statistics
    `void` | `setCommitProcMaxCommitBatchSize(int size)`
    `void` | `setCommitProcMaxReadBatchSize(int size)`
    `void` | `setConnectionDecreaseRatio(double val)`
    `void` | `setConnectionDropDecrease(double val)`
    `void` | `setConnectionDropIncrease(double val)`
    `void` | `setConnectionFreezeTime(int val)`
    `void` | `setConnectionMaxTokens(int val)`
    `void` | `setConnectionTokenFillCount(int val)`
    `void` | `setConnectionTokenFillTime(int val)`
    `void` | `setFlushDelay(long delay)`
    `void` | `setLargeRequestMaxBytes(int bytes)`
    `void` | `setLargeRequestThreshold(int threshold)`
    `void` | `setMaxBatchSize(int size)`
    `void` | `setMaxClientCnxnsPerHost(int max)` Set maxClientCnxns allowed from a particular host
    `void` | `setMaxSessionTimeout(int max)` Set maxSessionTimeout of server in milliseconds
    `void` | `setMaxWriteQueuePollTime(long delay)`
    `void` | `setMinSessionTimeout(int min)` Set minSessionTimeout of server in milliseconds
    `void` | `setRequestStaleConnectionCheck(boolean check)`
    `void` | `setRequestStaleLatencyCheck(boolean check)`
    `void` | `setRequestThrottleDropStale(boolean drop)`
    `void` | `setRequestThrottleLimit(int requests)`
    `void` | `setRequestThrottleStallTime(int time)`
    `void` | `setResponseCachingEnabled(boolean isEnabled)`
    `void` | `setThrottledOpWaitTime(int val)`
    `void` | `setTickTime(int tickTime)` Set TickTime of server in milliseconds

- - ### Method Detail

    - #### getClientPort

          String getClientPort()

      Returns:
        the server socket port number

    - #### getVersion

          String getVersion()

      Returns:
        the zookeeper server version

    - #### getStartTime

          String getStartTime()

      Returns:
        time the server was started

    - #### getMinRequestLatency

          long getMinRequestLatency()

      Returns:
        min request latency in ms

    - #### getAvgRequestLatency

          double getAvgRequestLatency()

      Returns:
        average request latency in ms

    - #### getMaxRequestLatency

          long getMaxRequestLatency()

      Returns:
        max request latency in ms

    - #### getPacketsReceived

          long getPacketsReceived()

      Returns:
        number of packets received so far

    - #### getPacketsSent

          long getPacketsSent()

      Returns:
        number of packets sent so far

    - #### getFsyncThresholdExceedCount

          long getFsyncThresholdExceedCount()

      Returns:
        number of fsync threshold exceeds so far

    - #### getAuthFailedCount

          long getAuthFailedCount()

      Returns:
        number of AuthFailedCount so far

    - #### getNonMTLSLocalConnCount

          long getNonMTLSLocalConnCount()

      Returns:
        number of NonMTLSLocalConnCount so far

    - #### getNonMTLSRemoteConnCount

          long getNonMTLSRemoteConnCount()

      Returns:
        number of NonMTLSRemoteConnCount so far

    - #### getOutstandingRequests

          long getOutstandingRequests()

      Returns:
        number of outstanding requests.

    - #### getTickTime

          int getTickTime()

      Current TickTime of server in milliseconds

    - #### setTickTime

          void setTickTime(int tickTime)

      Set TickTime of server in milliseconds

    - #### getMaxClientCnxnsPerHost

          int getMaxClientCnxnsPerHost()

      Current maxClientCnxns allowed from a particular host

    - #### setMaxClientCnxnsPerHost

          void setMaxClientCnxnsPerHost(int max)

      Set maxClientCnxns allowed from a particular host

    - #### getMinSessionTimeout

          int getMinSessionTimeout()

      Current minSessionTimeout of the server in milliseconds

    - #### setMinSessionTimeout

          void setMinSessionTimeout(int min)

      Set minSessionTimeout of server in milliseconds

    - #### getMaxSessionTimeout

          int getMaxSessionTimeout()

      Current maxSessionTimeout of the server in milliseconds

    - #### setMaxSessionTimeout

          void setMaxSessionTimeout(int max)

      Set maxSessionTimeout of server in milliseconds

    - #### getResponseCachingEnabled

          boolean getResponseCachingEnabled()

    - #### setResponseCachingEnabled

          void setResponseCachingEnabled(boolean isEnabled)

    - #### getConnectionMaxTokens

          int getConnectionMaxTokens()

    - #### setConnectionMaxTokens

          void setConnectionMaxTokens(int val)

    - #### getConnectionTokenFillTime

          int getConnectionTokenFillTime()

    - #### setConnectionTokenFillTime

          void setConnectionTokenFillTime(int val)

    - #### getConnectionTokenFillCount

          int getConnectionTokenFillCount()

    - #### setConnectionTokenFillCount

          void setConnectionTokenFillCount(int val)

    - #### getConnectionFreezeTime

          int getConnectionFreezeTime()

    - #### setConnectionFreezeTime

          void setConnectionFreezeTime(int val)

    - #### getConnectionDropIncrease

          double getConnectionDropIncrease()

    - #### setConnectionDropIncrease

          void setConnectionDropIncrease(double val)

    - #### getConnectionDropDecrease

          double getConnectionDropDecrease()

    - #### setConnectionDropDecrease

          void setConnectionDropDecrease(double val)

    - #### getConnectionDecreaseRatio

          double getConnectionDecreaseRatio()

    - #### setConnectionDecreaseRatio

          void setConnectionDecreaseRatio(double val)

    - #### getCommitProcMaxReadBatchSize

          int getCommitProcMaxReadBatchSize()

    - #### setCommitProcMaxReadBatchSize

          void setCommitProcMaxReadBatchSize(int size)

    - #### getCommitProcMaxCommitBatchSize

          int getCommitProcMaxCommitBatchSize()

    - #### setCommitProcMaxCommitBatchSize

          void setCommitProcMaxCommitBatchSize(int size)

    - #### getRequestThrottleLimit

          int getRequestThrottleLimit()

    - #### setRequestThrottleLimit

          void setRequestThrottleLimit(int requests)

    - #### getRequestThrottleStallTime

          int getRequestThrottleStallTime()

    - #### setRequestThrottleStallTime

          void setRequestThrottleStallTime(int time)

    - #### getRequestThrottleDropStale

          boolean getRequestThrottleDropStale()

    - #### setRequestThrottleDropStale

          void setRequestThrottleDropStale(boolean drop)

    - #### getThrottledOpWaitTime

          int getThrottledOpWaitTime()

    - #### setThrottledOpWaitTime

          void setThrottledOpWaitTime(int val)

    - #### getRequestStaleLatencyCheck

          boolean getRequestStaleLatencyCheck()

    - #### setRequestStaleLatencyCheck

          void setRequestStaleLatencyCheck(boolean check)

    - #### getRequestStaleConnectionCheck

          boolean getRequestStaleConnectionCheck()

    - #### setRequestStaleConnectionCheck

          void setRequestStaleConnectionCheck(boolean check)

    - #### getLargeRequestMaxBytes

          int getLargeRequestMaxBytes()

    - #### setLargeRequestMaxBytes

          void setLargeRequestMaxBytes(int bytes)

    - #### getLargeRequestThreshold

          int getLargeRequestThreshold()

    - #### setLargeRequestThreshold

          void setLargeRequestThreshold(int threshold)

    - #### resetStatistics

          void resetStatistics()

      Reset packet and latency statistics

    - #### resetLatency

          void resetLatency()

      Reset min/avg/max latency statistics

    - #### resetMaxLatency

          void resetMaxLatency()

      Reset max latency statistics only.

    - #### resetFsyncThresholdExceedCount

          void resetFsyncThresholdExceedCount()

      Reset Fsync Threshold Exceed Count statistics only.

    - #### resetNonMTLSConnCount

          void resetNonMTLSConnCount()

      Reset NonMTLS(Local+Remote)ConnCount statistics only.

    - #### resetAuthFailedCount

          void resetAuthFailedCount()

      Reset AuthFailedCount statistics only.

    - #### getNumAliveConnections

          long getNumAliveConnections()

      Returns:
        number of alive client connections

    - #### getDataDirSize

          long getDataDirSize()

      Returns:
        estimated size of data directory in bytes

    - #### getLogDirSize

          long getLogDirSize()

      Returns:
        estimated size of log directory in bytes

    - #### getSecureClientPort

          String getSecureClientPort()

      Returns:
        secure client port

    - #### getSecureClientAddress

          String getSecureClientAddress()

      Returns:
        secure client address

    - #### getTxnLogElapsedSyncTime

          long getTxnLogElapsedSyncTime()

      Returns the elapsed sync of time of transaction log in milliseconds.

    - #### getJuteMaxBufferSize

          int getJuteMaxBufferSize()

      Returns:
        Returns the value of the following config setting: jute.maxbuffer

    - #### getLastClientResponseSize

          int getLastClientResponseSize()

      Returns:
        size of latest generated client response

    - #### getMinClientResponseSize

          int getMinClientResponseSize()

      Returns:
        size of smallest generated client response

    - #### getMaxClientResponseSize

          int getMaxClientResponseSize()

      Returns:
        size of largest generated client response

    - #### getFlushDelay

          long getFlushDelay()

    - #### setFlushDelay

          void setFlushDelay(long delay)

    - #### getMaxWriteQueuePollTime

          long getMaxWriteQueuePollTime()

    - #### setMaxWriteQueuePollTime

          void setMaxWriteQueuePollTime(long delay)

    - #### getMaxBatchSize

          int getMaxBatchSize()

    - #### setMaxBatchSize

          void setMaxBatchSize(int size)

    - #### getMaxCnxns

          int getMaxCnxns()

      Returns:
        Current maxCnxns allowed to a single ZooKeeper server

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.